light bulb shows up after restart [BREEZY]

Bug #23270 reported by Jason Grieves on 2005-10-05
24
Affects Status Importance Assigned to Milestone
update-notifier (Ubuntu)
Medium
Michael Vogt

Bug Description

The light bulb in the upper system tray shows up after every reboot saying the system
needs to be rebooted, this is after the latest kernel update on Oct. 5

Michael Vogt (mvo) wrote :

Thanks for your bugreport.

Can you please send me your ~/.xsession file please.

And the output of: "ls -alR /var/lib/update-notifier/user.d"

And your ~/.update-notifier/hooks_seen file as well.

Do you use anything "unusual" on your system? E.g. a uncommon filesystem?
Problems with the clock maybe?

Could you please please check the updated version in
http://people.ubuntu.com/~mvo/update-notifier/?

Jason Grieves (jasongrieves) wrote :

Created an attachment (id=4392)
i have this in my home directory, and noticed some chahter about notifier...

Jason Grieves (jasongrieves) wrote :

ls -alR /var/lib/update-notifier/user.d

/var/lib/update-notifier/user.d:
total 20
drwxr-xr-x 2 root root 4096 2005-10-06 11:00 .
drwxr-xr-x 3 root root 4096 2005-09-09 19:23 ..
-rw-r--r-- 1 root root 257 2005-09-16 00:52 notification-2.6.12-8-386
-rw-r--r-- 1 root root 283 2005-10-06 13:53 notification-2.6.12-9-386
-rw-r--r-- 1 root root 281 2005-10-03 19:12 reboot-hook

~/.update-notifier/hooks_see

notification-2.6.12-8-386 1127170034 0
dbus-reboot 1127228301 0
notification-2.6.12-9-386 1127785715 0

This is a default install of Breezy say as of about 3-4 weeks ago. I have had
to change my clock as Windows and Ubunutu don't like each other. Could that be
the issue? Was off by about 5 hours, but I never changed my date

Matthew East (mdke) wrote :

I'm getting this too, is any info required?

Michael Vogt (mvo) wrote :

Could you please install 0.40.13 from:

http://people.ubuntu.com/~mvo/update-notifier/

download either the i386 or amd64 deb and install it with:
$ sudo dpkg -i update-notifier_0.40.13_i386.deb
(or "..._amd64.deb" of course).

Then reboot and check if the problem goes away? You may have to click on the
notification once again after the reboot but then the problem should be solved.
If not, please attach a new ~/.xsession-errors file to this bugreport (it will
contain much more information because the deb is build with debugging support).

I would really appreciate if you could test it as soon as possible because the
release is coming and I really want this problem fixed by then :)

Thanks,
 Michael

Matthew East (mdke) wrote :

That package has not made any difference, I'm afraid. I'll attach my
.xsession-errors

Matthew East (mdke) wrote :

Created an attachment (id=4453)
requested xsession-errors

as promised

Michael Vogt (mvo) wrote :

(In reply to comment #6)
> That package has not made any difference, I'm afraid. I'll attach my
> .xsession-errors

That means that you get the light-bulb, click on it, close it and the light-bulb
goes away. Then you reboot and it comes up again, is that correct? If so, could
you please also attach your "~/.update-notifier/hooks_seen" file?

Thanks,
 Michael

Matthew East (mdke) wrote :

(In reply to comment #8)
> (In reply to comment #6)
> > That package has not made any difference, I'm afraid. I'll attach my
> > .xsession-errors
>
> That means that you get the light-bulb, click on it, close it and the light-bulb
> goes away. Then you reboot and it comes up again, is that correct?

Correct.

> If so, could
> you please also attach your "~/.update-notifier/hooks_seen" file?

Attaching now.

Matthew East (mdke) wrote :

actually, pasting:

matt@kalliope:~$ cat .update-notifier/hooks_seen
notification-2.6.12-8-386 1126885979 0
notification-2.6.12-9-386 1128603764 0
reboot-hook 1128356874 0

that's all

Michael Vogt (mvo) wrote :

(In reply to comment #10)
> actually, pasting:
>
> matt@kalliope:~$ cat .update-notifier/hooks_seen
> notification-2.6.12-8-386 1126885979 0
> notification-2.6.12-9-386 1128603764 0
> reboot-hook 1128356874 0
>
> that's all

Thanks, a new version 0.40.13.1 is uploaded to:
http://people.ubuntu.com/~mvo/update-notifier/

John Carney (jmc-earlybird) wrote :

*** Bug 23540 has been marked as a duplicate of this bug. ***

*** Bug 23526 has been marked as a duplicate of this bug. ***

Installing update-notifier 0.40.13.1 fixed the problem for me.

Jason Grieves (jasongrieves) wrote :

im good to go. Hopefully new kernel will bring the update notifier back for one
restart :)

Thanks!

~Jason

Michael Vogt (mvo) wrote :

Thanks everyone for reporting and testing the fix. I uploaded a new
update-notifier 0.40.13 into breezy and this bug should be fixed now. Please
reopen if you still see a problem

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.